/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * DetailHomeApplianceRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class DetailHomeApplianceRequest {
  @SerializedName("is_washer_dryer_breakdown")
  private Boolean isWasherDryerBreakdown = null;

  @SerializedName("is_under_manufacturer_warranty")
  private Boolean isUnderManufacturerWarranty = null;

  @SerializedName("is_mechanical_breakdown")
  private Boolean isMechanicalBreakdown = null;

  @SerializedName("is_inside_housing_coverage")
  private Boolean isInsideHousingCoverage = null;

  @SerializedName("is_invoice_available")
  private Boolean isInvoiceAvailable = null;

  @SerializedName("is_baking_trail_breakdown")
  private Boolean isBakingTrailBreakdown = null;

  @SerializedName("is_hifi_video_breakdown")
  private Boolean isHifiVideoBreakdown = null;

  @SerializedName("is_fridge_freezer_breakdown")
  private Boolean isFridgeFreezerBreakdown = null;

  @SerializedName("suggested_decision")
  private String suggestedDecision = null;

  @SerializedName("additional_information")
  private String additionalInformation = null;

  public DetailHomeApplianceRequest isWasherDryerBreakdown(Boolean isWasherDryerBreakdown) {
    this.isWasherDryerBreakdown = isWasherDryerBreakdown;
    return this;
  }

   /**
   * Is it a washer/dryer equipment breakdown?
   * @return isWasherDryerBreakdown
  **/
  @ApiModelProperty(example = "true", value = "Is it a washer/dryer equipment breakdown?")
  public Boolean isIsWasherDryerBreakdown() {
    return isWasherDryerBreakdown;
  }

  public void setIsWasherDryerBreakdown(Boolean isWasherDryerBreakdown) {
    this.isWasherDryerBreakdown = isWasherDryerBreakdown;
  }

  public DetailHomeApplianceRequest isUnderManufacturerWarranty(Boolean isUnderManufacturerWarranty) {
    this.isUnderManufacturerWarranty = isUnderManufacturerWarranty;
    return this;
  }

   /**
   * Is your equipment less than 5 years old and no longer under manufacturer&#39;s warranty?
   * @return isUnderManufacturerWarranty
  **/
  @ApiModelProperty(example = "false", value = "Is your equipment less than 5 years old and no longer under manufacturer's warranty?")
  public Boolean isIsUnderManufacturerWarranty() {
    return isUnderManufacturerWarranty;
  }

  public void setIsUnderManufacturerWarranty(Boolean isUnderManufacturerWarranty) {
    this.isUnderManufacturerWarranty = isUnderManufacturerWarranty;
  }

  public DetailHomeApplianceRequest isMechanicalBreakdown(Boolean isMechanicalBreakdown) {
    this.isMechanicalBreakdown = isMechanicalBreakdown;
    return this;
  }

   /**
   * Is it a mechanical breakdown?
   * @return isMechanicalBreakdown
  **/
  @ApiModelProperty(example = "true", value = "Is it a mechanical breakdown?")
  public Boolean isIsMechanicalBreakdown() {
    return isMechanicalBreakdown;
  }

  public void setIsMechanicalBreakdown(Boolean isMechanicalBreakdown) {
    this.isMechanicalBreakdown = isMechanicalBreakdown;
  }

  public DetailHomeApplianceRequest isInsideHousingCoverage(Boolean isInsideHousingCoverage) {
    this.isInsideHousingCoverage = isInsideHousingCoverage;
    return this;
  }

   /**
   * Is the equipment inside the housing covered?
   * @return isInsideHousingCoverage
  **/
  @ApiModelProperty(example = "true", value = "Is the equipment inside the housing covered?")
  public Boolean isIsInsideHousingCoverage() {
    return isInsideHousingCoverage;
  }

  public void setIsInsideHousingCoverage(Boolean isInsideHousingCoverage) {
    this.isInsideHousingCoverage = isInsideHousingCoverage;
  }

  public DetailHomeApplianceRequest isInvoiceAvailable(Boolean isInvoiceAvailable) {
    this.isInvoiceAvailable = isInvoiceAvailable;
    return this;
  }

   /**
   * Do you have the equipment invoice with the contract beneficiary name?
   * @return isInvoiceAvailable
  **/
  @ApiModelProperty(example = "false", value = "Do you have the equipment invoice with the contract beneficiary name?")
  public Boolean isIsInvoiceAvailable() {
    return isInvoiceAvailable;
  }

  public void setIsInvoiceAvailable(Boolean isInvoiceAvailable) {
    this.isInvoiceAvailable = isInvoiceAvailable;
  }

  public DetailHomeApplianceRequest isBakingTrailBreakdown(Boolean isBakingTrailBreakdown) {
    this.isBakingTrailBreakdown = isBakingTrailBreakdown;
    return this;
  }

   /**
   * Is it a baking trail equipment breakdown?
   * @return isBakingTrailBreakdown
  **/
  @ApiModelProperty(example = "false", value = "Is it a baking trail equipment breakdown?")
  public Boolean isIsBakingTrailBreakdown() {
    return isBakingTrailBreakdown;
  }

  public void setIsBakingTrailBreakdown(Boolean isBakingTrailBreakdown) {
    this.isBakingTrailBreakdown = isBakingTrailBreakdown;
  }

  public DetailHomeApplianceRequest isHifiVideoBreakdown(Boolean isHifiVideoBreakdown) {
    this.isHifiVideoBreakdown = isHifiVideoBreakdown;
    return this;
  }

   /**
   * Is it a hifi/video equipment breakdown?
   * @return isHifiVideoBreakdown
  **/
  @ApiModelProperty(example = "false", value = "Is it a hifi/video equipment breakdown?")
  public Boolean isIsHifiVideoBreakdown() {
    return isHifiVideoBreakdown;
  }

  public void setIsHifiVideoBreakdown(Boolean isHifiVideoBreakdown) {
    this.isHifiVideoBreakdown = isHifiVideoBreakdown;
  }

  public DetailHomeApplianceRequest isFridgeFreezerBreakdown(Boolean isFridgeFreezerBreakdown) {
    this.isFridgeFreezerBreakdown = isFridgeFreezerBreakdown;
    return this;
  }

   /**
   * Is it a fridge or freezer equipment breakdown?
   * @return isFridgeFreezerBreakdown
  **/
  @ApiModelProperty(example = "false", value = "Is it a fridge or freezer equipment breakdown?")
  public Boolean isIsFridgeFreezerBreakdown() {
    return isFridgeFreezerBreakdown;
  }

  public void setIsFridgeFreezerBreakdown(Boolean isFridgeFreezerBreakdown) {
    this.isFridgeFreezerBreakdown = isFridgeFreezerBreakdown;
  }

  public DetailHomeApplianceRequest suggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
    return this;
  }

   /**
   * Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)
   * @return suggestedDecision
  **/
  @ApiModelProperty(example = "ASSIGN_PRV", value = "Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)")
  public String getSuggestedDecision() {
    return suggestedDecision;
  }

  public void setSuggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
  }

  public DetailHomeApplianceRequest additionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
    return this;
  }

   /**
   * Additional information to precise the decision or the damage
   * @return additionalInformation
  **/
  @ApiModelProperty(value = "Additional information to precise the decision or the damage")
  public String getAdditionalInformation() {
    return additionalInformation;
  }

  public void setAdditionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DetailHomeApplianceRequest detailHomeApplianceRequest = (DetailHomeApplianceRequest) o;
    return Objects.equals(this.isWasherDryerBreakdown, detailHomeApplianceRequest.isWasherDryerBreakdown) &&
        Objects.equals(this.isUnderManufacturerWarranty, detailHomeApplianceRequest.isUnderManufacturerWarranty) &&
        Objects.equals(this.isMechanicalBreakdown, detailHomeApplianceRequest.isMechanicalBreakdown) &&
        Objects.equals(this.isInsideHousingCoverage, detailHomeApplianceRequest.isInsideHousingCoverage) &&
        Objects.equals(this.isInvoiceAvailable, detailHomeApplianceRequest.isInvoiceAvailable) &&
        Objects.equals(this.isBakingTrailBreakdown, detailHomeApplianceRequest.isBakingTrailBreakdown) &&
        Objects.equals(this.isHifiVideoBreakdown, detailHomeApplianceRequest.isHifiVideoBreakdown) &&
        Objects.equals(this.isFridgeFreezerBreakdown, detailHomeApplianceRequest.isFridgeFreezerBreakdown) &&
        Objects.equals(this.suggestedDecision, detailHomeApplianceRequest.suggestedDecision) &&
        Objects.equals(this.additionalInformation, detailHomeApplianceRequest.additionalInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(isWasherDryerBreakdown, isUnderManufacturerWarranty, isMechanicalBreakdown, isInsideHousingCoverage, isInvoiceAvailable, isBakingTrailBreakdown, isHifiVideoBreakdown, isFridgeFreezerBreakdown, suggestedDecision, additionalInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DetailHomeApplianceRequest {\n");
    
    sb.append("    isWasherDryerBreakdown: ").append(toIndentedString(isWasherDryerBreakdown)).append("\n");
    sb.append("    isUnderManufacturerWarranty: ").append(toIndentedString(isUnderManufacturerWarranty)).append("\n");
    sb.append("    isMechanicalBreakdown: ").append(toIndentedString(isMechanicalBreakdown)).append("\n");
    sb.append("    isInsideHousingCoverage: ").append(toIndentedString(isInsideHousingCoverage)).append("\n");
    sb.append("    isInvoiceAvailable: ").append(toIndentedString(isInvoiceAvailable)).append("\n");
    sb.append("    isBakingTrailBreakdown: ").append(toIndentedString(isBakingTrailBreakdown)).append("\n");
    sb.append("    isHifiVideoBreakdown: ").append(toIndentedString(isHifiVideoBreakdown)).append("\n");
    sb.append("    isFridgeFreezerBreakdown: ").append(toIndentedString(isFridgeFreezerBreakdown)).append("\n");
    sb.append("    suggestedDecision: ").append(toIndentedString(suggestedDecision)).append("\n");
    sb.append("    additionalInformation: ").append(toIndentedString(additionalInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

